POST Create Order
Create Order
Headers
- Type: stringX
- Request - I D requiredUnique request identifier
- Type: stringApplicationrequired
Application key
- Type: stringAcceptrequired
Accept header
- Type: stringA
P I -version requiredApi version
- Type: stringX
- A P I - Authorization M2M authorization token
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
- Type: stringD
L C - Authorization DLC Authorization token key (Punchh)
- Type: stringContent
- Language requiredLocal language code (in format xx-XX, or simpler xx) for translation purposes
Body
application/json
- Type: array object[]combo
_meals requiredcan be empty array - selected combo meals in cart
- Type: array object[]discount
_cards requiredcan be empty array - selected discount card ids in cart
- Type: array object[]discountsrequired
can be empty array - selected discount in cart (can be only one)
- Type: booleanis
_reorder requiredis reorderd
- Type: stringsingular
_point _id requiredvenue area for order type
- Type: objectcash
_info required only for delivery and foodspot order types and cash
- Type: objectclient
_info if forter_token_cookie is sent in init payment call
- Type: objectcustomer
_info - Type: array object[]
- Type: objectorder
_type - Type: objectpayment
_info - Type: objectsplit
_payment _info
Responses
- application/json
- application/json
Request Example for post/orders
curl https://api-public-demo.menu.app/api/orders \
--request POST \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
--header 'Application: ' \
--header 'Accept: application/json' \
--header 'API-version: ' \
--header 'X-API-Authorization: ' \
--header 'X-QB-Enabled: true' \
--header 'DLC-Authorization: ' \
--header 'Content-Language: en' \
--header 'Content-Type: application/json' \
--data '{
"singular_point_id": "a823c634-6300-4f43-b536-8f1a183d568c",
"order_type": {
"id": 7,
"trigger_type": 1,
"delivery_asap": false,
"delivery_at": "2020-01-28 12:15:00",
"customer_phone_number": "+31 28 fs95ff8-7",
"delivery_info": {
"street_name": "Železnička",
"street_number": "7",
"locality": null,
"place": "Novi Sad",
"region": "Vojvodina",
"region_short": "Vojvodina",
"country": "Serbia",
"latitude": 45.2510104,
"longitude": 19.8418477,
"postcode": "21101",
"apartment_number": "2/62",
"notes": "Donesi brzo",
"formatted_address": "Železnička 7",
"is_custom": false
},
"properties": {}
},
"tip": {
"amount": 50
},
"menu_items": [
{
"id": 61,
"price_level_id": 33444,
"quantity": 0,
"modifiers": [],
"comment": "some comment"
}
],
"combo_meals": [
{
"id": 65,
"quantity": 1,
"items": [
{
"id": 234,
"modifiers": [],
"comment": "some comment"
}
],
"comment": "some comment"
}
],
"discounts": [
{
"id": 234,
"quantity": 1,
"redemption_code": "code",
"menu_items": [
{
"id": 2345,
"quantity": 1,
"modifiers": [],
"comment": "some comment"
}
],
"combo_meals": [
{
"id": 234,
"quantity": 1,
"items": [
{
"id": 456,
"quantity": 1,
"modifiers": [],
"comment": "some comment"
}
]
}
]
}
],
"discount_cards": [
{
"id": 112
}
],
"customer_info": {
"first_name": "John",
"last_name": "Done",
"email": "some@email.com",
"phone_number": "+38165555555"
},
"payment_info": {
"payment_init_hash": "stasdjhbasdjhbasring",
"external": {
"amount": 0
}
},
"client_info": {
"forter_token_cookie": "adgarg"
},
"cash_info": {
"customer_cash_amount": 0
},
"is_reorder": true
}'
{
"status": "OK",
"code": 200,
"data": {
"order": {
"id": "a823c634-6300-4f43-b536-8f1a183d568c",
"code": "BQIXC",
"uuid": "a823c634-6300-4f43-b536-8f1a183d568c",
"init_hash": "5e6af1f1d4106e5221b181864bedb149",
"external_reference": "string",
"external_code": "string",
"external_channel_id": "string",
"ticket_id": "4a70a67b-b8d1-44b2-9ce4-e2fa6225a8d0",
"venue_id": "b8baafab-3f22-11ed-936c-1a67b454859d",
"pos_ticket_id": "\"\"",
"pos_ticket_code": "\"\"",
"customer_account_info": {
"id": "6735e303-50a1-4887-9b11-915a6919cc66",
"email": "john.doe@partech.com",
"state": 1,
"locale": "en",
"type_id": 2,
"brand_id": "ea3c2a24-6210-40b3-84ef-447ee9d471b9",
"last_name": "Doe",
"first_name": "John",
"phone_number": "+3811111111",
"discount_cards": [
{}
],
"reference_type": "CustomerAccount",
"optin_status_pn": 3,
"optin_status_sms": 3,
"optin_status_email": 3
},
"order_type": 7,
"order_type_properties": {
"type_id": 7,
"pickup_at": "2023-11-06T12:05:55.000000Z",
"delivery_at": "2023-11-06T12:15:00.000000Z",
"is_scheduled": true,
"delivery_asap": false,
"delivery_info_data": {
"notes": "Donesi brzo",
"place": "Novi Sad",
"region": "Vojvodina",
"country": "Serbia",
"latitude": 45.2510104,
"locality": null,
"postcode": "21101",
"is_custom": false,
"longitude": 19.8418477,
"street_name": "Železnička",
"region_short": "Vojvodina",
"street_number": "7",
"apartment_number": "2/62",
"formatted_address": "Železnička 7"
},
"customer_cash_amount": null,
"customer_phone_number": "+31 28 fs95ff8-7"
},
"order_additional_info": {},
"status": "SendDelayed",
"payment_status": "Reserved",
"fraud_detection_status": "string",
"delivery_status": "string",
"calculation_method": "string",
"subtotal": 17692,
"discount": 0,
"subsidy": 0,
"discount_info": "string",
"service_charge": 0,
"service_charge_rate": 0,
"service_charge_tax_rate": 0,
"delivery_fee_tax_rate": 0,
"delivery_fee": 0,
"delivery_fee_tax": 0,
"minimal_order_amount": 0,
"minimum_surcharge": 0,
"minimum_surcharge_tax": 0,
"tip": 0,
"tip_rate": 0,
"total": 17692,
"tax": 842,
"tax_exemption": 0,
"tax_rates": {
"5": 842
},
"tax_rates_exemption": {
"5": 0
},
"order_items": [
{
"type_id": 1,
"menu_item_id": "19a394da-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"unpaid_item_hash": "string",
"name": "Làpana Bowl",
"translations": {
"name": "Cuenco de lapana,"
},
"type": "Food",
"is_self_serving": true,
"quantity": 1,
"subtotal": 1999,
"discount": 0,
"service_charge": 0,
"total": 1999,
"tax": 95,
"tax_rate": 5,
"comment": "test comment",
"price_level": {
"menu_item_price_level_id": "0ffb254c-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"name": "string",
"translations": {
"name": "string"
},
"price": 0
},
"modifiers": [
{
"modifier_id": "2049c354-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"name": "Organic Wild Rice",
"translations": {
"name": "Arroz Salvaje Ecológico"
},
"price": 0
}
],
"image": {
"thumbnail_small": "/storage/images/item_images/_thumbs280/2021-09-08/233451fe2256b3acf14ee5288e1b7dd0.png",
"thumbnail_medium": "/storage/images/item_images/_thumbs720/2021-09-08/233451fe2256b3acf14ee5288e1b7dd0.png",
"fullsize": "/storage/images/item_images/2021-09-08/233451fe2256b3acf14ee5288e1b7dd0.png"
}
}
],
"combo_meals": [
{
"type_id": 1,
"combo_meal_id": "04abaf54-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"name": "Acai Bowl Early Nene-nui Combo",
"custom_name": "Acai Bowl Early Nene-nui Combo",
"translations": {
"name": "Combo Cuenco Nene-nui Temprano con Acai",
"custom_name": "WCombo Cuenco Nene-nui Temprano con Acai"
},
"quantity": 1,
"subtotal": 2599,
"discount": 0,
"service_charge": 0,
"total": 2599,
"tax": 124,
"tax_rates": {
"5": 124
},
"items": [
{
"type_id": 3,
"menu_item_id": "19a394da-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"unpaid_item_hash": "string",
"name": "Làpana Bowl ",
"translations": {
"name": "Làpana Bowl "
},
"type": "Food",
"is_self_serving": true,
"quantity": 1,
"subtotal": 2599,
"discount": 0,
"service_charge": 0,
"total": 2599,
"tax": 124,
"tax_rate": 5,
"comment": "test comment combo item 1",
"price_level": {
"menu_item_price_level_id": "0ffb254c-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"name": "string",
"translations": {
"name": "string"
},
"price": 2599
},
"modifiers": [
{
"modifier_id": "2049c354-3f23-11ed-936c-1a67b454859d",
"pos_id": "string",
"name": "Organic Wild Rice",
"translations": {
"name": "Arroz Salvaje Ecológico"
},
"price": 0
}
],
"image": {
"thumbnail_small": "/storage/images/combo_item_images/_thumbs280/2021-09-08/6fd364994648905d3a74b3f05c299b42.png",
"thumbnail_medium": "/storage/images/combo_item_images/_thumbs720/2021-09-08/6fd364994648905d3a74b3f05c299b42.png",
"fullsize": "/storage/images/combo_item_images/2021-09-08/6fd364994648905d3a74b3f05c299b42.png"
},
"combo_group": {
"combo_group_id": "c1d5cd5e-3f22-11ed-936c-1a67b454859d",
"type_id": 1,
"pos_id": "\"\"",
"name": "Combo group",
"translations": {
"name": "Combo group"
}
}
}
],
"image": {
"thumbnail_small": "/storage/images/combo_item_images/_thumbs280/2021-09-08/6fd364994648905d3a74b3f05c299b42.png",
"thumbnail_medium": "/storage/images/combo_item_images/_thumbs720/2021-09-08/6fd364994648905d3a74b3f05c299b42.png",
"fullsize": "/storage/images/combo_item_images/2021-09-08/6fd364994648905d3a74b3f05c299b42.png"
}
}
],
"discounts": [
{}
],
"send_at": "2023-07-28 12:51:34",
"pickup_at": "2023-07-28 12:52:44",
"pickup_code": "string",
"ready_at": "string",
"delivery_at": "string",
"additional_delivery_info": "string",
"arriving_at": "2023-07-28 12:52:44",
"regret_cancel_until": "2023-07-28 12:51:34",
"is_scheduled": false,
"created_at": "2023-07-28 12:50:44"
}
}
}